﻿using System;


namespace ShapePolymorphism
{
    class Rectangle : Shape
    {
        public Rectangle(ShapeColor fillColor, ShapeRect bounds)
        {
            this.FillColor = fillColor;
            this.Bounds = bounds;
        }

        public override void draw()
        {
            Console.WriteLine("사각형을 ({0} {1})에 {2}x{3}크기와 {4}색으로 그립니다", Bounds.x, Bounds.y, Bounds.width, Bounds.height, FillColor);
        }
    }
}
