﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ShapePolymorphism
{
    class Triangle : Shape
    {
        public Triangle(ShapeColor fillColor, ShapeRect bounds)
        {
            this.FillColor = fillColor;
            this.Bounds = bounds;
        }

        public override void draw()
        {
            Console.WriteLine("삼각형을 ({0} {1})에 {2}x{3}크기와 {4}색으로 그립니다", Bounds.x, Bounds.y, Bounds.width, Bounds.height, FillColor);
        }
    }
}
