﻿using System;
using System.Collections.Generic;


namespace ShapePolymorphism
{
    class Square : Rectangle
    {
        public Square(ShapeColor fillColor, ShapeRect bounds) : base(fillColor, bounds)
        {
            // Bounds에 작은 크기로 치환
            if (bounds.width < bounds.height)
                Bounds.height = bounds.width;
            else
                Bounds.width = bounds.height;
        }

        public override void draw()
        {
            Console.WriteLine("정사각형을 ({0} {1})에 {2}x{3}크기와 {4}색으로 그립니다", Bounds.x, Bounds.y, Bounds.width, Bounds.height, FillColor);
        }
    }
}
